Update regarding Meltdown (CVE-2017-5754) and Spectre (CVE-2017-5753 and CVE-2017-5715)

The Meltdown/Spectre vulnerabilities are the recent vulnerabilities found in Intel’s processors. These are vulnerabilities in all of the Windows operating systems. Sisense provides an application and does not provide the server hardware or the Windows OS. These are provided by customers. As such, it’s the customers’ responsibility to secure their OS.

We recommend customers follow all security recommendations of the vendors who provided the customers OS. The current Windows recommendation is to install the latest available security updates for the OS. Sisense has run extensive performance tests on the OS patch (Windows patch) and found a minimal impact on performance.

For more information about these vulnerabilities and how to negate them, see:

Meltdown and Spectre: A high-level description of the vulnerabilities.

Project Zero: Describes the theory behind the vulnerabilities by those who discovered them.

Intel Official Announcement: Describes Intel’s response to the vulnerabilities.

AMD Processor Security: Describes AMD’s response to the vulnerabilities.